<?
//************************************************************************************************************************//
// Theme Name: zoneSilver Theme for PHP-Fusion 6.00			    	      
// Theme Design: by: PHP-Fusion Themes (http://phpfusion.org)		      
// version 2.0                                              
// 
// PHP-Fusion Themes and/or Lorkan is a Registered Organization and holds a copyright with CIPO
// Original Author of file: PHP-Fusion Themes [Shedrock]
// Developed by: PHP-Fusion Themes - Bringing Your Portal To Life
// Copyright  2005 by PHP-Fusion Themes - All Rights Reserved
// ----------------------------------------------------------------------
// THEME MODIFICATION 
// Users may alter or modify this theme at their own risk,
// but only for their own use. They may also hire PHP-Fusion Themes to modify their own copy of the theme.
// Although users may modify the code for their use,
// modified code may not be resold or distributed,
// without express written permission from PHP-Fusion Themes.
//
// DISPLAY OF COPYRIGHT NOTICES REQUIRED
// All copyright notices used within the scripts that the scripts generate,
// MUST remain intact. Furthermore, these notices must remain visible.
//
// SUPPORT
// PHP-Fusion Themes provides free support on all their theme designs.
// (includes consulting, troubleshooting and fixing problems).
// For Support, please visit us at: http://www.phpfusion.org/forum/viewforum.php?forum_id=2
//
// PHP-Fusion Themes is not liable for any products or services offered by means of the theme.
// The user must assume the entire risk of using the program.
//************************************************************************************************************************//

/************************/
/* Theme Settings		*/
/************************/

$body_text = "#A9B9BD";
$body_bg = "#000000";
$theme_width = "770";
$theme_width_l = "200";
$theme_width_r = "200";

function render_header($header_content) {

global $theme_width,$settings;

	echo "<table cellspacing='0' cellpadding='0' class='bodyline-header'>\n";
	echo "<tr>\n";
	echo "<td class='bodyline-header-left' nowrap></td>\n";
	echo "<td class='bodyline-header-left-right' nowrap></td>\n";
	echo "<td class='bodyline-header-center'>".$header_content."</td>\n";
	echo "<td class='bodyline-header-right-left' nowrap></td>\n";
	echo "<td class='bodyline-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellpadding='0' cellspacing='0' class='bodyline-menu'>\n";
	echo "<tr>\n";
	echo "<td class='bodyline-menu-left' nowrap></td>\n";
	echo "<td class='bodyline-menu-links'>";
	$result = dbquery("SELECT * FROM ".DB_PREFIX."site_links WHERE link_position>='2' ORDER BY link_order");
	if (dbrows($result) != 0) {
		$i = 0;
		while($data = dbarray($result)) {
			if (checkgroup($data['link_visibility'])) {
				if ($data['link_url']!="---") {
					if ($i != 0) { echo " <font class='content'><strong>::&nbsp;</strong></font>\n"; } else { echo "\n"; }
					$link_target = ($data['link_window'] == "1" ? " target='_blank'" : "");
					if (strstr($data['link_url'], "http://") || strstr($data['link_url'], "https://")) {
						echo "<a href='".$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
					} else {
						echo "<a href='".BASEDIR.$data['link_url']."'".$link_target." class='white'>".$data['link_name']."</a>";
					}
				}
				$i++;
			}
		}
	}
	echo ($i == 0 ? " " : "")."</td>\n";
	echo "<td class='bodyline-menu-date' nowrap>".ucwords(showdate($settings['subheaderdate'], time()))."</td>\n";
	echo "<td class='bodyline-menu-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='bodyline-up'>\n";
	echo "<tr>\n";
	echo "<td class='bodyline-up-left' nowrap></td>\n";
	echo "<td class='bodyline-up-center' nowrap></td>\n";
	echo "<td class='bodyline-up-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='bodyline'>\n";
	echo "<tr>\n";
	echo "<td class='bodyline-left' nowrap></td>\n";
	echo "<td class='bodyline-center' nowrap>\n";
	
	echo "<table width='100%' cellpadding='0' bgcolor='#000000' cellspacing='4' border='0'>\n";
	echo "<tr>\n";
}

function render_footer($license=false) {
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "</td>\n";
	echo "<td class='bodyline-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='bodyline-footer'>\n";
	echo "<tr>\n";
	echo "<td class='bodyline-footer-left' nowrap></td>\n";
	echo "<td class='bodyline-footer-center' nowrap>";
	if ($license==false) echo "Powered by <a href='http://www.php-fusion.co.uk' target='_blank'><img src='".THEME."images/fusion.gif' title='PHP-Fusion' alt='PHP-Fusion' style='vertical-align:middle;'></a> &copy; 2003-2007 | ";
	echo "Original style by yassineb | Ported for PHP-Fusion by: <a href='http://phpfusion.org' target='_blank'><img src='".THEME."images/fthemes.gif' title='PHP-Fusion Themes' alt='PHP-Fusion Themes' style='vertical-align:middle;'></a> | Optimized by: <a href='http://www.gander.pl/' target='_blank'><img src='".THEME."images/gander-site.gif' title='Gander Site' alt='Gander' style='vertical-align:middle;'></a></td>\n";
	echo "<td class='bodyline-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
}

function render_news($subject, $news, $info) {
	
global $locale;
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'>\n";
	echo "<tr>\n";
	echo "<td>\n";
	
	echo "<table cellpadding='0' cellspacing='0' class='news-header'>\n";
	echo "<tr>\n";
	echo "<td class='news-header-left' nowrap></td>\n";
	echo "<td class='news-header-center'><span class='storytitle'>$subject</span></td>\n";
	echo "<td class='news-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='news'>\n";
	echo "<tr>\n";
	echo "<td class='news-left' nowrap></td>\n";
	echo "<td class='news-center' nowrap>\n";
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='4'>\n";
	echo "<tr>\n";
	echo "<td class='main-body' style='text-align:justify'>$news".($info['news_ext'] == "y" ? "... <a class='small2' href='news.php?readmore=".$info['news_id']."'>".$locale['042']." &raquo;</a>" : "")."</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='news-footer-text'>\n";
		
	echo "<div align='center'>".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ".$locale['041'].showdate("longdate", $info['news_date'])."</div>\n";
	echo "<hr>\n";
	echo "<div align='right'>".($info['news_ext'] == "y" ? "<a href='news.php?readmore=".$info['news_id']."'>".$locale['042']."</a> &#711;\n" : "");
	if ($info['news_allow_comments'])  echo "<a href='news.php?readmore=".$info['news_id']."'>".$info['news_comments'].$locale['043']."</a> &#711; ";
	echo $info['news_reads'].$locale['044']." &nbsp; <a href='print.php?type=N&amp;item_id=".$info['news_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a></div>\n";
			
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
		
	echo "</td>\n";
	echo "<td class='news-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='news-footer'>\n";
	echo "<tr>\n";
	echo "<td class='news-footer-left' nowrap></td>\n";
	echo "<td class='news-footer-center' nowrap></td>\n";
	echo "<td class='news-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
}

function render_article($subject, $article, $info) {
	
global $locale;
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'>\n";
	echo "<tr>\n";
	echo "<td>\n";
	
	echo "<table cellpadding='0' cellspacing='0' class='articles-header'>\n";
	echo "<tr>\n";
	echo "<td class='articles-header-left' nowrap></td>\n";
	echo "<td class='articles-header-center'><span class='storytitle'>$subject</span></td>\n";
	echo "<td class='articles-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='articles'>\n";
	echo "<tr>\n";
	echo "<td class='articles-left' nowrap></td>\n";
	echo "<td class='articles-center' nowrap>\n";
	
	echo "<table width='100%' border='0' cellspacing='0' cellpadding='4'>\n";
	echo "<tr>\n";
	echo "<td class='main-body'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td class='articles-footer-text'>\n";
		
	echo "<div align='center'>".$locale['040']."<a href='profile.php?lookup=".$info['user_id']."'>".$info['user_name']."</a> ".$locale['041'].showdate("longdate", $info['article_date'])."</div>\n";
	echo "<hr>\n";
	echo "<div align='right'>";
	if ($info['article_allow_comments']) echo $info['article_comments'].$locale['043']." &#183; ";
	echo $info['article_reads'].$locale['044']." &nbsp; <a href='print.php?type=A&amp;item_id=".$info['article_id']."'><img src='".THEME."images/printer.gif' alt='".$locale['045']."' border='0' style='vertical-align:middle;'></a></div>\n";
			
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
		
	echo "</td>\n";
	echo "<td class='articles-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "<table cellspacing='0' cellpadding='0' class='articles-footer'>\n";
	echo "<tr>\n";
	echo "<td class='articles-footer-left' nowrap></td>\n";
	echo "<td class='articles-footer-center' nowrap></td>\n";
	echo "<td class='articles-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";


}

// Open table begins

function opentable($title) {

	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'>\n";
	echo "<tr>\n";
	echo "<td>\n";

	echo "<table cellpadding='0' cellspacing='0' class='table-header'>\n";
	echo "<tr>\n";
	echo "<td class='table-header-left' nowrap></td>\n";
	echo "<td class='table-header-center'><span class='block-title'>$title</span></td>\n";
	echo "<td class='table-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table'>\n";
	echo "<tr>\n";
	echo "<td class='table-left' nowrap></td>\n";
	echo "<td class='table-center'>\n";

	echo "<table width='100%' cellspacing='0' cellpadding='4'>\n";
	echo "<tr>\n";
	echo "<td class='main-body'>\n";
}

// Close table end
function closetable() {

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "</td>\n";
	echo "<td class='table-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table-footer'>\n";
	echo "<tr>\n";
	echo "<td class='table-footer-left' nowrap></td>\n";
	echo "<td class='table-footer-center' nowrap></td>\n";
	echo "<td class='table-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
}

function openside($title) {

	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'>\n";
	echo "<tr>\n";
	echo "<td>\n";

	echo "<table cellpadding='0' cellspacing='0' class='table-header'>\n";
	echo "<tr>\n";
	echo "<td class='table-header-left' nowrap></td>\n";
	echo "<td class='table-header-center'><span class='block-title'>$title</span></td>\n";
	echo "<td class='table-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table'>\n";
	echo "<tr>\n";
	echo "<td class='table-left' nowrap></td>\n";
	echo "<td class='table-center'>\n";

	echo "<table width='100%' cellspacing='0' cellpadding='2'>\n";
	echo "<tr>\n";
	echo "<td class='side-body'>\n";
}

function closeside() {

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "</td>\n";
	echo "<td class='table-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table-footer'>\n";
	echo "<tr>\n";
	echo "<td class='table-footer-left' nowrap></td>\n";
	echo "<td class='table-footer-center' nowrap></td>\n";
	echo "<td class='table-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	tablebreak();
}

function opensidex($title,$open="on") {
$box_img = ($open=="on" ? "off" : "on");

	echo "<table width='100%' border='0' cellspacing='0' cellpadding='3'>\n";
	echo "<tr>\n";
	echo "<td>\n";

	echo "<table cellpadding='0' cellspacing='0' class='table-header'>\n";
	echo "<tr>\n";
	echo "<td class='table-header-left' nowrap></td>\n";
	echo "<td class='table-header-center'><img style='cursor:hand; float:right;' onclick=\"javascript:flipBox('$title')\" name='b_$title' alt='$box_img' src='".THEME."images/panel_$box_img.gif'><span class='block-title'>$title</span></td>\n";
	echo "<td class='table-header-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table'>\n";
	echo "<tr>\n";
	echo "<td class='table-left' nowrap></td>\n";
	echo "<td class='table-center'>\n";

	echo "<table width='100%' cellspacing='0' cellpadding='2'>\n";
	echo "<tr>\n";
	echo "<td class='side-body'>\n";
	echo "<div id='box_$title'".($open=="off" ? "style='display:none'" : "").">\n";

}


function closesidex() {

	echo "</div>\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	
	echo "</td>\n";
	echo "<td class='table-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "<table cellspacing='0' cellpadding='0' class='table-footer'>\n";
	echo "<tr>\n";
	echo "<td class='table-footer-left' nowrap></td>\n";
	echo "<td class='table-footer-center' nowrap></td>\n";
	echo "<td class='table-footer-right' nowrap></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	tablebreak();
}

// Table functions
function tablebreak() {
	echo "<table width='100%' cellspacing='0' cellpadding='0'><tr><td height='8'></td></tr></table>\n";
}
?>